%global         momorel 2

Name:           perl-GD
Version:        2.53
Release:        %{momorel}m%{?dist}
Summary:        GD Perl module
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/GD/
Source0:        http://www.cpan.org/authors/id/L/LD/LDS/GD-%{version}.tar.gz
NoSource:       0
Patch0:         %{name}-2.49-cflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libjpeg-devel >= 8a
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Math-Complex
Requires:       perl-Math-Complex
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
GD.pm is a Perl interface to Thomas Boutell's gd graphics library (version
2.01 or higher; see below). GD allows you to create color drawings using a
large number of graphics primitives, and emit the drawings as PNG files.

%prep
%setup -q -n GD-%{version}

%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
GDIMAGETYPE=png make test ||:
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README README.QUICKDRAW README.unix
%{_bindir}/*
%{perl_vendorarch}/auto/GD
%{perl_vendorarch}/qd.pl
%{perl_vendorarch}/GD
%{perl_vendorarch}/GD.pm
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.53-2m)
- rebuild against perl-5.20.0

* Wed Apr  2 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.53-1m)
- update to 2.53

* Sun Mar  9 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.52-1m)
- update to 2.52

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.51-1m)
- update to 2.51
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.50-2m)
- rebuild against perl-5.18.1

* Sat Jul  6 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.50-1m)
- update to 2.50

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.49-3m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.49-2m)
- rebuild against perl-5.16.3

* Wed Feb 27 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.49-1m)
- update to 2.49

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.46-9m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.46-8m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.46-7m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.46-6m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.46-5m)
- rebuild against perl-5.14.1

* Fri May 27 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.46-4m)
- add -D_FILE_OFFSET_BITS=64 to CFLAGS

* Thu May 26 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.46-3m)
- add GD-2.46-perl-5.14.patch
-- see https://rt.cpan.org/Public/Bug/Display.html?id=67990 

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.46-2m)
- rebuild against perl-5.14.0-0.2.1m

* Mon May  2 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.46-1m)
- update to 2.46

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.45-6m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.45-5m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.45-4m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.45-3m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.45-2m)
- rebuild against perl-5.12.1

* Sat May  1 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.45-1m)
- update to 2.45

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.44-8m)
- rebuild against perl-5.12.0

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.44-7m)
- rebuild against libjpeg-8a

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.44-6m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated
- Specfile re-generated by cpanspec 1.78.

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.44-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Sep 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.44-4m)
- add %%check, but temporarily ignore some test failures due to libjpeg-7

* Fri Sep 11 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.44-3m)
- rebuild against libjpeg-7

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.44-2m)
- rebuild against perl-5.10.1

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.44-1m)
- update to 2.44

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.43-1m)
- update to 2.43

* Tue May  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.41-1m)
- update to 2.41

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.39-3m)
- rebuild against rpm-4.6

* Wed Aug 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.39-2m)
- version down to 2.39, 2.41 has dependency problem...

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.41-1m)
- update to 2.41

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.39-1m)
- update to 2.39

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.35-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.35-4m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.35-3m)
- use vendor

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.35-2m)
- BuildRequires: freetype2-devel -> freetype-devel

* Fri Sep  1 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.35-1m)
- update to 2.35

* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.34-1m)
- update to 2.34

* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.32-1m)
- update to 2.32

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.30-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (2.30-1m)
- update to 2.30

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.23-1m)
- version up to 2.23
- built against perl-5.8.7

* Tue Feb 15 2005 Toru Hoshina <t@momonga-linux.org>
- (2.19-2m)
- don't use freetype-devel.

* Sun Jan  9 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.19-1m)
- version 2.19

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.06-7m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.06-6m)
- remove Epoch from BuildRequires

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (2.06-5m)
- revised spec for rpm 4.2.

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.06-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.06-3m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (2.06-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Mon Jan 20 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.06-1m)
- version 2.06

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.41-1m)
- add some BuildRequiress

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.33-15m)
- remove BuildRequires: gcc2.95.3

* Sat Jun  1 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (1.33-14k)
- BuildRequires: gd-devel.

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.33-12k)
- rebuild against libpng 1.2.2.

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (1.33-10k)
- rebuild against for perl-5.6.1

* Sat Jan 12 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (1.33-8k)
- s/Copyright/License/

* Sun Oct 14 2001 Toru Hoshina <t@kondara.org>
- (1.33-6k)
- rebuild against libpng 1.2.0.

* Mon Sep 17 2001 Toru Hoshina <toru@df-usa.com>
- (1.33-4k)
- no more fixpack...

* Sun Sep  9 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.33-2k)
- from RedHat powertools-7.1
- update to GD.pm 1.33
- change GD-1.29-packlist -> GD-packlist
- change Group: tag

* Mon Oct 30 2000 Tim Powers <timp@redhat.com>
- rebuilt for alpha, and for Powertools errata for perl-Chart

* Thu Jun 29 2000 Tim Powers <timp@redhat.com>
- Spec file was autogenerated. 
